'$FORM frmEDIT

DECLARE FUNCTION Ans2Asc$ (AnsiZeile$)
DECLARE FUNCTION Asc2Ans$ (AsciiZeile$)

'******************************************************
'* (c)1993 by Dipl.-Ing. Andreas Maslo                *
'******************************************************

'Dateiname fr Editor
COMMON SHARED DateiName$
'nderungen in einer Textdatei beobachten
COMMON SHARED Changed%

'Austauschtabellen ANSI-/ASCII-Format global
COMMON SHARED ANSI$
COMMON SHARED ASCII$

FUNCTION Ans2Asc$ (AnsiZeile$)
  'Zeile im ANSI-Format zeichenweise
  'untersuchen und umwandeln
  'Funktion erzeugt eine Kopie der Ursprungs-
  'zeichenkette
  Temp$ = ""
  FOR x% = 1 TO LEN(AnsiZeile$)
    Zeichen$ = MID$(AnsiZeile$, x%, 1)
    'Austausch fr Zeichen erforderlich?
    Nummer% = INSTR(ANSI$, Zeichen$)
    IF Nummer% > 0 THEN
      'Zeichen ersetzen
      Zeichen$ = MID$(ASCII$, Nummer%, 1)
    END IF
    Temp$ = Temp$ + Zeichen$
  NEXT x%
  Ans2Asc$ = Temp$
END FUNCTION

FUNCTION Asc2Ans$ (AsciiZeile$)
  'Zeile im ASCII-Format zeichenweise
  'untersuchen und umwandeln
  'Funktion erzeugt eine Kopie der Ursprungs-
  'zeichenkette
  Temp$ = ""
  FOR x% = 1 TO LEN(AsciiZeile$)
    Zeichen$ = MID$(AsciiZeile$, x%, 1)
    'Austausch fr Zeichen erforderlich?
    Nummer% = INSTR(ASCII$, Zeichen$)
    IF Nummer% > 0 THEN
      'Zeichen ersetzen
      Zeichen$ = MID$(ANSI$, Nummer%, 1)
    END IF
    Temp$ = Temp$ + Zeichen$
  NEXT x%
  Asc2Ans$ = Temp$
END FUNCTION

SUB OpenFile (DateiFormat$)
  'da der Lade- und Konvertiervorgang einige Zeit
  'in Anspruch nimmt, ist es sinnvoll den Mauscursor
  'temporr als Sanduhr anzuzeigen (Bildschrirm)
  Screen.MousePointer = 11
  'Datei einlesen und Editor zuweisen
  CL$ = CHR$(13) + CHR$(10)
  QNr = FREEFILE
  'Dateien ffnen
  OPEN DateiName$ FOR INPUT AS #QNr
  'zeilenweise lesen
'  Temp$ = ""
'  While Not EOF(QNr)
'     'nach jeder Zeile Zeilenvorschub fr
'     'Editor einbauen
'     Line Input #QNr, Zeile$
'     Temp$ = Temp$ + Zeile$ + CL$
'  Wend
 '  Temp$ = Input$(LOF(QNr), QNr)
  'Datei schlieen
'  Close #QNr
  'Text im ANSI-Format an Editor bergeben, da
  'Windows mit ANSI-Zeichensatz arbeitet
  IF DateiFormat$ = "ANSI" THEN
      frmEDIT.EDITOR.Text = INPUT$(LOF(QNr), QNr)
    ELSEIF DateiFormat$ = "ASCII" THEN
      frmEDIT.EDITOR.Text = Asc2Ans$(Temp$)
  END IF
  CLOSE #QNr
  'Um das Ende des Ladevorganges anzuzeigen, wird der
  'Mauszeiger wieder als Pfeil angezeigt
  Screen.MousePointer = 1
END SUB

SUB SaveFile (DateiFormat$)
  'da der Speicher- und Konvertiervorgang einige Zeit
  'in Anspruch nimmt, ist es sinnvoll den Mauscursor
  'temporr als Sanduhr anzuzeigen (Bildschrirm)
  Screen.MousePointer = 11
  CL$ = CHR$(13) + CHR$(10)
  QNr = FREEFILE
  'Dateien ffnen
  OPEN DateiName$ FOR OUTPUT AS #QNr
  'zeilenweise lesen und bersetzen
  Temp$ = frmEDIT.EDITOR.Text
  IF DateiFormat$ = "ANSI" THEN
      PRINT #QNr, Temp$
    ELSEIF DateiFormat$ = "ASCII" THEN
      PRINT #QNr, Ans2Asc$(Temp$)
  END IF
  'Text in ANSI-Format an Editor bergeben
  CLOSE #QNr
  'Um das Ende des ladevorganges anzuzeigen, wird der
  'Mauszeiger wieder als Pfeil angezeigt
  Screen.MousePointer = 1
END SUB

